Pages: [1]
  Print  
Author Topic: Stepwise or partial update from 4.3 to 4.4  (Read 1150 times)
michaelhecht
Jr. Member
**
Posts: 90


« on: March 23, 2009, 11:27:38 AM »

Since there seem to be several new problems with the 4.4 version but some old problems with 4.3 were fixed, I wonder if there would be a
partial update of operators from 4.3 to 4.4 version instead of a full update to RM 4.4?

This is more a request than a bug, but I place it here since I'm sure the number of uncovered bugs with 4.4 will grow.

Logged
Ingo Mierswa
Administrator
Hero Member
*****
Posts: 1221



WWW
« Reply #1 on: March 23, 2009, 01:24:33 PM »

Hi,

in general, something like this is not possible without compiling RapidMiner yourself, sorry. For the neural network problems I have already stated some possible workaround and ideas to overcome those issues. Maybe this already helps.

Cheers,
Ingo
Logged

Did you try our new Marketplace? Upload or download new Extensions, add comments, and organize your operators. Have a look at  http://marketplace.rapid-i.com
michaelhecht
Jr. Member
**
Posts: 90


« Reply #2 on: March 25, 2009, 07:03:34 PM »

Hi,

partially it is possible.

Since the timing problem (only my computer, I know) was acceptable in RM 4.3 where I got an "availability delay" in the Plot View
(it takes up to 10 seconds to have all plotters available) was less serious than the timing problem (only on my computer) of the
RM 4.4 version where it takes up to 25 seconds after a workflow has finished until the Models Result view is available, I decided
to stay at RM 4.3. Unfortunately there was the annoying bug with the Polynomial Regression. To get the best of both worlds I
unzipped the rapidminer.jar of both versions and substituted the PolynomialRegression classes (3) and the Tools.class of RM 4.3
whith the ones from 4.4. Afterwards I packed the jar again and voila ... here is the partially updated version 4.3.

Well, I hope I get no problem with other modules, but with this I can wait until version 4.5 is released ;-)
Logged
Ingo Mierswa
Administrator
Hero Member
*****
Posts: 1221



WWW
« Reply #3 on: March 25, 2009, 09:39:19 PM »

Ah well, yes this should work at least for updating only single operators. The same way, if somebody else is interested, it is probably also possible to downgrade to the old NN learner by replacing the classes in the 4.4 release by the old classes and also replace the file joone.jar in the lib directory by that of the 4.3 release.

Thanks for the hint.


Quote
Well, I hope I get no problem with other modules, but with this I can wait until version 4.5 is released ;-)

But please don't forget to send in the answers for the delay questions while working with the 4.3+ version ;-)

All the best,
Ingo
Logged

Did you try our new Marketplace? Upload or download new Extensions, add comments, and organize your operators. Have a look at  http://marketplace.rapid-i.com
Pages: [1]
  Print  
 
Jump to: